#include <iostream>
using namespace std;
int main()
{
    long long int n,x,a;
    cin>>n>>x;
    long long int maxi=x;
    long long int mini=x;
    for(int i=0;i<n;i++)
    {
        cin>>a;
        if(a>=maxi)
            maxi=a;
        if(a<mini)
            mini=a;
    }
    cout<<(2*min(x-mini,maxi-x)+max(x-mini,maxi-x));
}